- Qt 5.15
- Qt Core
- qt_add_resources
- Qt 5.15.19 Reference Documentation

# qt_add_resources

## Synopsis

     qt_add_resources(<VAR> file1.qrc [file2.qrc ...]
                       [OPTIONS ...])

## Description

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

For embedding bigger resources, see qt_add_big_resources.

This command was introduced in Qt 5.15. You can use qt5_add_resources in older versions of Qt.

## Arguments

You can set additional `OPTIONS` that should be added to the `rcc` calls. You can find possible options in the rcc documentation.

## Examples

     set(SOURCES main.cpp)
     qt_add_resources(SOURCES example.qrc)
     add_executable(myapp ${SOURCES})